RDKit::MCSResult Struct Reference

`#include <FMCS.h>`

## Public Member Functions

| MCSResult ()
bool | isCompleted () const

## Public Attributes

unsigned | NumAtoms {0}
unsigned | NumBonds {0}
std::string | SmartsString
bool | Canceled {false}
ROMOL_SPTR | QueryMol

## Detailed Description

Definition at line 160 of file FMCS.h.

## Constructor & Destructor Documentation

## MCSResult()

RDKit::MCSResult::MCSResult | ( |  | ) |

inline

Definition at line 169 of file FMCS.h.

## Member Function Documentation

## isCompleted()

bool RDKit::MCSResult::isCompleted | ( |  | ) | const

inline

Definition at line 170 of file FMCS.h.

## Member Data Documentation

## Canceled

bool RDKit::MCSResult::Canceled {false}

Definition at line 164 of file FMCS.h.

## NumAtoms

unsigned RDKit::MCSResult::NumAtoms {0}

Definition at line 161 of file FMCS.h.

## NumBonds

unsigned RDKit::MCSResult::NumBonds {0}

Definition at line 162 of file FMCS.h.

## QueryMol

ROMOL_SPTR RDKit::MCSResult::QueryMol

Definition at line 166 of file FMCS.h.

## SmartsString

std::string RDKit::MCSResult::SmartsString

Definition at line 163 of file FMCS.h.

The documentation for this struct was generated from the following file:

- FMCS.h